## org.apache.commons.collections
Class BufferUnderflowException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.util.NoSuchElementException
                      org.apache.commons.collections.BufferUnderflowException

All Implemented Interfaces:
  java.io.Serializable

    public class BufferUnderflowException

extends java.util.NoSuchElementException

The BufferUnderflowException is used when the buffer is already empty.

NOTE: From version 3.0, this exception extends NoSuchElementException.

Since:
  Commons Collections 2.1
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Avalon, Berin Loritsch, Jeff Turner, Paul Jack, Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`BufferUnderflowException()` Constructs a new `BufferUnderflowException`.
`BufferUnderflowException(java.lang.String message)` Construct a new `BufferUnderflowException`.
`BufferUnderflowException(java.lang.String message, java.lang.Throwable exception)` Construct a new `BufferUnderflowException`.

Method Summary
`java.lang.Throwable` `getCause()` Gets the root cause of the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BufferUnderflowException

    public BufferUnderflowException()

  Constructs a new `BufferUnderflowException`.

### BufferUnderflowException

    public BufferUnderflowException(java.lang.String message)

  Construct a new `BufferUnderflowException`.

  Parameters:
    `message` - the detail message for this exception

### BufferUnderflowException

    public BufferUnderflowException(java.lang.String message,
                                    java.lang.Throwable exception)

  Construct a new `BufferUnderflowException`.

  Parameters:
    `message` - the detail message for this exception
    `exception` - the root cause of the exception

Method Detail

### getCause

    public final java.lang.Throwable getCause()

  Gets the root cause of the exception.

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    the root cause

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.